From f95a9a681dc64a449b7018eb214dff149081e1aa Mon Sep 17 00:00:00 2001
From: mahendrapaipuri <mahendra.paipuri@inria.fr>
Date: Fri, 19 Nov 2021 12:40:40 +0100
Subject: [PATCH] Disable rsmi for hwloc when rocm is not enabled

---
 var/spack/repos/builtin/packages/hwloc/package.py | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/var/spack/repos/builtin/packages/hwloc/package.py b/var/spack/repos/builtin/packages/hwloc/package.py
index a3a8597236..3efa4cd5a2 100644
--- a/var/spack/repos/builtin/packages/hwloc/package.py
+++ b/var/spack/repos/builtin/packages/hwloc/package.py
@@ -135,6 +135,14 @@ def configure_args(self):
         if '+opencl' not in self.spec:
             args.append('--disable-opencl')
 
+        # If ROCm libraries are found in system /opt/rocm
+        # during config stage, hwloc builds itself with
+        # librocm_smi support.
+        # This can fail the config tests while building
+        # OpenMPI due to lack of rpath to librocm_smi
+        if '+rocm' not in self.spec:
+            args.append('--disable-rsmi')
+
         if '+netloc' in self.spec:
             args.append('--enable-netloc')
 
-- 
2.24.3 (Apple Git-128)

